Summary:	Netscape Portable Runtime (NSPR)
Summary(pl.UTF-8):	Przenośne biblioteki uruchomieniowe Netscape
Name:		nspr
Version:	4.13.1
Release:	1
Epoch:		1
License:	MPL v2.0
Group:		Libraries
Source0:	http://ftp.mozilla.org/pub/nspr/releases/v%{version}/src/%{name}-%{version}.tar.gz
# Source0-md5:	9c44298a6fc478b3c0a4e98f4f9981ed
Patch0:		%{name}-pc.patch
URL:		https://developer.mozilla.org/en-US/docs/Mozilla/Projects/NSPR
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	sed >= 4.0
Obsoletes:	nspr-pthreads
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libraries that implement cross-platform runtime services from
Netscape.

%description -l pl.UTF-8
Biblioteki z wieloplatformową implementacją usług
uruchomieniowych Netscape'a.

%package devel
Summary:	NSPR library header files for development
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek NSPR
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	nspr-pthreads-devel

%description devel
Header files for the NSPR library from Netscape.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek NSPR Netscape'a.

%package static
Summary:	Static NSPR library
Summary(pl.UTF-8):	Statyczna biblioteka NSPR
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	nspr-pthreads-static

%description static
Static NSPR library.

%description static -l pl.UTF-8
Statyczna biblioteka NSPR.

%prep
%setup -q
%patch0 -p1

%build
cd nspr
cp -f /usr/share/automake/config.sub build/autoconf
%{__autoconf}
%configure \
	--includedir=%{_includedir}/nspr \
%ifarch %{x8664} ppc64
	--enable-64bit \
%endif
%ifarch x32
	--enable-x32 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug \
	--enable-ipv6 \
	--enable-optimize="%{rpmcflags}" \
	--with-mozilla \
	--with-pthreads

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C nspr install \
	DESTDIR=$RPM_BUILD_ROOT

# for compatibility (upstream installs only nspr.nc); to be dropped sometime?
ln -s nspr.pc $RPM_BUILD_ROOT%{_pkgconfigdir}/mozilla-nspr.pc

%{__rm} $RPM_BUILD_ROOT%{_bindir}/{compile-et.pl,prerr.properties}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnspr4.so
%attr(755,root,root) %{_libdir}/libplc4.so
%attr(755,root,root) %{_libdir}/libplds4.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nspr-config
%{_includedir}/nspr
%{_aclocaldir}/nspr.m4
%{_pkgconfigdir}/mozilla-nspr.pc
%{_pkgconfigdir}/nspr.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libnspr4.a
%{_libdir}/libplc4.a
%{_libdir}/libplds4.a
%changelog
* Wed Nov 02 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nspr.git;a=log;h=master

* Wed Nov 02 2016 Jakub Bogusz <qboosh@pld-linux.org> 5d19e17
- updated to 4.13.1

* Sat Oct 15 2016 Jakub Bogusz <qboosh@pld-linux.org> 0296a01
- updated URLs

* Sun Oct 02 2016 Jan Palus <atler@pld-linux.org> 9732290
- up to 4.13

* Sun Feb 21 2016 Jakub Bogusz <qboosh@pld-linux.org> db99ec6
- updated to 4.12

* Thu Nov 26 2015 Jakub Bogusz <qboosh@pld-linux.org> 5d5dea6
- updated to 4.11

* Fri Oct 23 2015 Jakub Bogusz <qboosh@pld-linux.org> e1bfb6a
- updated to 4.10.10

* Sun Aug 23 2015 Jan Palus <atler@pld-linux.org> d74f932
- up to 4.10.9

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 126f502
- x32 rebuild
- release 2 (by relup.sh)

* Tue Jan 27 2015 Jakub Bogusz <qboosh@pld-linux.org> 93557e6
- updated to 4.10.8

* Sun Dec 21 2014 Jan Rękorajski <baggins@pld-linux.org> a030bc7
- fix build for x32 arch

* Thu Aug 21 2014 Jakub Bogusz <qboosh@pld-linux.org> 040c8eb
- updated to 4.10.7

* Mon Jun 09 2014 Jakub Bogusz <qboosh@pld-linux.org> d83e014
- updated to 4.10.6

* Sat May 10 2014 Jakub Bogusz <qboosh@pld-linux.org> 957517c
- updated to 4.10.5
- removed obsolete acfix patch; autoconf 2.61+ is now required
- License is (GPL-compatible) MPL v2.0 now

* Sat Mar 15 2014 Jakub Bogusz <qboosh@pld-linux.org> 881178f
- updated to 4.10.4

* Sat Feb 01 2014 Jan Palus <jan.palus@gmail.com> 4cd1d64
- up to 4.10.3

* Thu Nov 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 3bdb1d9
- updated to 4.10.2

* Wed Oct 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 5402efd
- updated to 4.10.1

* Sat Jun 08 2013 Jakub Bogusz <qboosh@pld-linux.org> ac204f0
- updated to 4.10
- updated acfix,pc patches
- removed obsolete sparc64 patch

* Wed Mar 27 2013 Jakub Bogusz <qboosh@pld-linux.org> f4ed6fe
- updated to 4.9.6

* Wed Feb 20 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 4916966
- up to 4.9.5

